Katello - Bug #5979

remove katello roles and permissions routes and apipie
05/28/2014 11:03 PM - Thomas McKay

Status: Duplicate

Priority: Normal

Assignee: Eric Helms

Category: API

Target version: Katello Recycle Bin

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1102407 Red Hat JIRA:

Pull request:

Description

The currently unused routes and apipie docs conflict with foreman core's api when used with the apipie ruby bindings.

hammer-cli-csv relies on having access to the core routes.

Assigning to @Eric Helms but as interested party, reassign to me if necessary.

Related issues:

Related to Katello - Feature #5502: As a user, I'd like not to see or have ac... Closed 04/29/2014
Has duplicate Katello - Bug #6494: roles API shall access foreman roles (not ... Closed 07/04/2014
History

#1 - 05/28/2014 11:03 PM - Thomas McKay
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1102407

#2 - 06/05/2014 02:57 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/24/2014 12:56 PM - Eric Helms

- Related to Feature #5502: As a user, 1'd like not to see or have access to the legacy roles/permissions from Katello. added

#5 - 06/24/2014 07:24 PM - Eric Helms
- Status changed from New to Ready For Testing

#6 - 07/04/2014 09:41 AM - Tomas Strachota

- Has duplicate Bug #6494: roles API shall access foreman roles (not katello roles) added

#7 - 07/07/2014 07:10 AM - Eric Helms

- Target version changed from 48 to 49

#8 - 07/25/2014 02:36 PM - Eric Helms
- Status changed from Ready For Testing to Duplicate

#9 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13

#10 - 03/21/2015 11:03 AM - Eric Helms

- translation missing: en.field_release deleted (13)
https://projects.theforeman.org/users/4217

#11 - 07/08/2016 11:20 AM - Eric Helms

- translation missing: en.field_release set to 166
